import React, { useState, useEffect } from 'react';
import { register, empty } from '@/assets/images';
import * as $$ from '@/utils/utility';
import { Empty } from 'antd';
import '../index.less';


export default function ReviewProgress(props) {
  const [assistType, setAssistType] = useState(1)
  const [progressList, setProgressList] = useState([]);

  useEffect(() => {
    if (props.progressData && props.progressData.length != 0) {
      setProgressList(props.progressData[0].auditList)
    }

  }, [props.progressData])

  return (
    <div className='reviewProgress'>
      <div className='tabBtn'>
        {props.progressData?.map((item, index) => {
          return <div
            key={item.index}
            className={`tabBtn-unit ${assistType === item.index ? 'tabBtn-unitActive' : ''}`}
            onClick={() => {
              setAssistType(item.index)
              setProgressList(item.auditList)
            }}
          >
            {item.indexName}
          </div>
        })}
      </div>
      {progressList?.map((item, index) => {
        const flag = index + 1 === progressList.length
        return <div style={{ display: 'flex' }}>
          <div style={{ marginRight: '10px' }}>
            <div className='reviewCircle' style={item.status === 0 ? { borderColor: '#EF6C24' } : {}}></div>
            {!flag && <div className='reviewLine'></div>}
          </div>

          <div>
            <div className='deepTitle'>{item.unitName}</div>
            {
              item.userName && <div className='shallowTitle'>
                操作人：<span>{item.userName}<img src={register} alt="" className="title-register" /></span>
              </div>
            }
            {
              item.handleTime && <div className='shallowTitle'>
                操作时间：<span>{$$.timeFormat(item.handleTime)}</span>
              </div>
            }
            {
              item.handleContent && <div className='shallowTitle'>
                审核意见：<span>{item.handleContent}</span>
              </div>
            }
            <div style={{ height: '34px' }}></div>
          </div>
        </div>
      })}
      {props.progressData && props.progressData.length === 0 &&
        <div className='public-noData'>
          <Empty imageStyle={{ height: '160px' }} description={<span style={{ color: "#86909C" }}>暂无数据</span>} image={empty}>
            <div className='ledger-main-display' style={{ marginTop: '8px' }}>
            </div>
          </Empty>
        </div>
      }
    </div>
  )
}
